### props
| name | Type | Default | Description |
| ------------ | ------------ | ------------ | ------------ |
| emptyIcon | string | "" | url of the empty icon |
| fullIcon | string | "" | url of the full icon |
| halfIcon | string | "" | url of the half icon |
| hover | boolean | true | if icon hovered it gets selected |
| length | number | 5 | sets the number of icon |
| modelValue | number | "" | index of selected icon |

### slots

| name | description 
| ------------ | ------------ |
| before-star-{index of item} | slot before each star |
| after-star-{index of item} | slot after each star |

